/***************************************************************************
                          ksteakmainwindow.h  -  description
                             -------------------
    begin                : Sat Nov 14 2000
    copyright            : (C) 2000 by Michael Heidecke
    email                : heidecke@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KSTEAKMAINWINDOW_H
#define KSTEAKMAINWINDOW_H

#include <kmainwindow.h>
#include "ksteak.h"
#include "dockwidget.h"

/**
  *@author Michael Heidecke
  */

class KSteakMainWindow : public KMainWindow  {
    Q_OBJECT
public: 
  KSteakMainWindow(QWidget* parent=0, const char* name=0);
  ~KSteakMainWindow();
	// --- added by Olaf Hartig (07.Jan.2001)
public slots:
	virtual bool queryClose() { SaveConfig(); return true; }
	// --- end
protected:
  void saveProperties(KConfig *);
private:
  Ksteak *KSteakWidget;
  QPopupMenu *searchmenu;
  QPopupMenu *viewmenu;
  QPopupMenu *helpmenu;
  dockwidget *SteakDock;
  void ReadConfig(void);
  void SaveConfig(void);
  enum ToolBarItem{ TOOLBAR_EXIT, TOOLBAR_SEARCH, TOOLBAR_ENG, TOOLBAR_GER, TOOLBAR_CONTEXT, TOOLBAR_SENSITIVE, TOOLBAR_AND, TOOLBAR_OR, TOOLBAR_DOCK };
private slots:
 void slotToggleToolbar(void);
 void slotToolbarClicked(int);
 void slotMenuClicked(int);
 void slotQuit(void);
 void slotDock(void);
 void slotUndock(void);
 void slotTranslate(void);
};
#endif
